# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Fuse.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/Declare.pm) perl(MooseX/Getopt.pm) perl(MooseX/Types/Moose.pm) perl(MooseX/Types/Path/Class.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(ok.pm) perl(MooseX/Runnable.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name MooseX-Runnable-Fuse
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1.1
Summary: implement a FUSE filesystem as a Moose class
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JR/JROCKWAY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This role allows you to make a class into a runnable (via
MooseX::Runnable Fuse filesystem.  You also get
four other roles to help this module determine how to run your
filesystem; `Filesystem::Fuse::Readable',
`Filesystem::Fuse::Writable',
`Filesystem::Fuse::Attributes::Readable', and
`Filesystem::Fuse::Attributes::Writable'.  Composing these roles into
your class will ensure that you implement the correct methods to get
the functionality you desire.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1.1
- rebuild to restore role requires

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

